package aop.example;

/**
 * Исключение если пользователь не аутентифицирован
 * Наследуется от RuntimeException - следовательно это
 * unchecked exception
 * @author Zubairov Renat
 */
public class AuthenticationException extends RuntimeException {

	/**
	 * Стандартные конструкторы
	 */
	public AuthenticationException() {
		super();
	}

	/**
	 * @param message
	 */
	public AuthenticationException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public AuthenticationException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public AuthenticationException(String message, Throwable cause) {
		super(message, cause);
	}

}
